@mixin left {
    align-self: flex-start;
    margin-left: 20px;
}

@mixin right {
    align-self: flex-end;
    margin-right: 20px;
}

@mixin center {
    align-self: center;
}

[data-type="grofftech/call-to-action"] {
    max-width: none;
}

.call-to-action__container { /* stylelint-disable-line */
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 4.5rem 0 0;

    .call-to-action__heading-text { /* stylelint-disable-line */
        font-size: 2.2rem !important; // Important required to override editor styles wrapper font
        margin: 0 0 1rem;
        font-family: Source-Sans-Pro, sans-serif;
        font-weight: bold;
        line-height: initial;

        &.align-left {
            @include left;
        }

        &.align-right {
            @include right;
        }

        &.align-center {
            @include center;
        }
    }

    button {
        &.align-left {
            @include left;
        }

        &.align-right {
            @include right;
        }

        &.align-center {
            @include center;
        }
    }
}
